> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Delete Company

DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}

Deletes a Company account.

### Independent vs. Dependent Companies Behavior

If your store is using Independent Companies behavior, deleting a Company account has no effect on its assigned customer group.

With Dependent Companies behavior, Company accounts and BigCommerce customer groups have a one-to-one relationship. Deleting a Company will also delete the corresponding customer group.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/company/companies/delete-companies-company-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — Unique numeric ID of the Company account.

## Response

### 200

OK

- `code` (integer, optional)
- `data` (CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

Not Found

- `code` (integer, optional)
- `data` (CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaData

- `companyId` (integer, optional) — Unique numeric ID of the Company account. This is a **read-only** field; do not set or modify its value in a `POST` or `PUT` request.
- `customerId` (integer, optional)
- `customerGroupId` (integer, optional) — The ID of the BigCommerce customer group assigned to the Company account. This field can be static or configurable depending on whether or not your store uses Independent Companies behavior. See [Independent Companies Behavior](/developer/api-reference/rest/b2b/management/company/companies#independent-vs-dependent-companies-behavior) for more information.

### CompaniesCompanyIdDeleteResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional)

## Examples

**Response**

```json
{
  "code": 200,
  "data": {},
  "meta": {
    "message": "SUCCESS"
  }
}
```

**SDK Code**

```python 200 - SUCCESS
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.delete(url, headers=headers)

print(response.json())
```

```javascript 200 - SUCCESS
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456';
const options = {method: 'DELETE', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 200 - SUCCESS
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456"

	req, _ := http.NewRequest("DELETE", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 200 - SUCCESS
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java 200 - SUCCESS
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.delete("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php 200 - SUCCESS
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('DELETE', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp 200 - SUCCESS
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456");
var request = new RestRequest(Method.DELETE);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift 200 - SUCCESS
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "DELETE"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```